Package Base Details: pyside2-git

Git Clone URL: https://aur.archlinux.org/pyside2-git.git (read-only)
Submitter: drhooves
Maintainer: Cebtenzzre
Last Packager: Cebtenzzre
Votes: 2
Popularity: 0.000079
First Submitted: 2017-03-03 08:15
Last Updated: 2019-03-01 21:27

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

xantares commented on 2018-01-13 10:04

upstream issue #589, I reverted 5d5eed5 for now

stochastix commented on 2018-01-13 06:34

Hey guys,I managed to get python-shiboken2-git compiled and installed, and thought id have smooth sailing after that but no such luck. I'm getting errors I don't see other people having. A whole bunch of:

CMake Error at cmake/Macros/PySideModules.cmake:134 (file):
  file failed to open for writing (No such file or directory):

    /usr/share/PySide2/typesystems/typesystem_core_common.xml
Call Stack (most recent call first):
  PySide2/QtCore/CMakeLists.txt:179 (create_pyside_module)


CMake Error at cmake/Macros/PySideModules.cmake:134 (file):
  file failed to open for writing (No such file or directory):

    /usr/share/PySide2/typesystems/typesystem_core_mac.xml
Call Stack (most recent call first):
  PySide2/QtCore/CMakeLists.txt:179 (create_pyside_module)


CMake Error at cmake/Macros/PySideModules.cmake:134 (file):
  file failed to open for writing (No such file or directory):

    /usr/share/PySide2/typesystems/typesystem_core_win.xml
Call Stack (most recent call first):
  PySide2/QtCore/CMakeLists.txt:179 (create_pyside_module)

Here is the whole output when trying to build it. https://bpaste.net/show/6e8018502cea

Any ideas what might get me past this?

sakf commented on 2017-11-17 21:43

yep, seems to work fine now :) thanks for fixing it!

xantares commented on 2017-11-17 18:40

Seems ok if I disable WebKitWidgets

xantares commented on 2017-11-16 22:39

More on this tomorrow :)

xantares commented on 2017-11-16 22:34

Cool thanks, the build goes way further now.

sakf commented on 2017-11-16 22:16

Hi xantares,
I set the compiler to clang in the environment before invoking makepkg:
$ export CC=/usr/bin/clang
$ export CXX=/usr/bin/clang++

Using gcc, I get the same error as you

xantares commented on 2017-11-16 22:11

hi @sakf,

what do you mean set the compiler to clang ?
for me it fails even earlier at "[ 4%] Running generator for QtCore..."
with _64-pc-linux-gnu/7.2.0/../../../../include/c++/7.2.0/cstddef:50:10: fatal error: 'stddef.h' file not found

maye there's some kind of way to disable the webkit module,
I'll see if I can help but for now I'm stuck at 4%

xan.

sakf commented on 2017-11-16 20:38

Does this build for anyone, atm?
Even building in a clean chroot I still have to manually set the compiler to clang. But it still fails to build at

[ 97%] Running generator for QtWebKitWidgets...
qt.shiboken: (webkitwidgets) Can't find typesystem_printsupport.xml, current path: /build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2/QtWebKitWidgets, typesystem paths: /build/pyside2-git/src/pyside2-git/sources/pyside2/build-py2/PySide2, /build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2, /build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2/QtWebKitWidgets
Cannot parse file: /build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2/QtWebKitWidgets/typesystem_webkitwidgets.xmlshiboken: Error running ApiExtractor.
Command line: --generator-set=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic --use-isnull-as-nb_nonzero /build/pyside2-git/src/pyside2-git/sources/pyside2/build-py2/PySide2/QtWebKitWidgets_global.h --include-paths=/build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2:/usr/include/qt/ --typesystem-paths=/build/pyside2-git/src/pyside2-git/sources/pyside2/build-py2/PySide2:/build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2:/build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2/QtWebKitWidgets --output-directory=/build/pyside2-git/src/pyside2-git/sources/pyside2/build-py2/PySide2/QtWebKitWidgets --license-file=/build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2/QtWebKitWidgets/../licensecomment.txt /build/pyside2-git/src/pyside2-git/sources/pyside2/PySide2/QtWebKitWidgets/typesystem_webkitwidgets.xml --api-version=5.9 --drop-type-entries=
make[2]: *** [PySide2/QtWebKitWidgets/CMakeFiles/QtWebKitWidgets.dir/build.make:68: PySide2/QtWebKitWidgets/PySide2/QtWebKitWidgets/qgraphicswebview_wrapper.cpp] Error 1

KorvinSilver commented on 2017-11-03 04:12

llvm should be among the dependencies:

CMake Error at CMakeLists.txt:62 (message):
LLVM version 3.9 is required (llvm-config detected /bin/sh: llvm-config:
command not found at /bin/sh: llvm-config: command not found).